RepeatedCharSequence (BioJava-1.5-beta API)
Keywords: org.biojava.utils.RepeatedCharSequence class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class RepeatedCharSequence

    java.lang.Object
      org.biojava.utils.RepeatedCharSequence

All Implemented Interfaces:
  CharSequence

    public class RepeatedCharSequence

extends Object
implements CharSequence

Author:
  Matthew Pocock

Constructor Summary
`RepeatedCharSequence()`
`RepeatedCharSequence(int length, char character)`

Method Summary
`char` | `charAt(int index)`
`void` | `flush()`
`char` | `getCharacter()`
`int` | `getLength()`
`int` | `length()`
`void` | `setCharacter(char character)`
`void` | `setLength(int length)`
`CharSequence` | `subSequence(int start, int end)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepeatedCharSequence

    public RepeatedCharSequence(int length,
                                char character)

### RepeatedCharSequence

    public RepeatedCharSequence()

Method Detail

### getLength

    public int getLength()

### setLength

    public void setLength(int length)

### getCharacter

    public char getCharacter()

### setCharacter

    public void setCharacter(char character)

### flush

    public void flush()

### length

    public int length()

  Specified by:
    `length` in interface `CharSequence`

### charAt

    public char charAt(int index)

  Specified by:
    `charAt` in interface `CharSequence`

### subSequence

    public CharSequence subSequence(int start,
                                    int end)

  Specified by:
    `subSequence` in interface `CharSequence`

### toString

    public String toString()

  Specified by:
    `toString` in interface `CharSequence`
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD